#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "structures.h"
#include "controleur.h"
#include "partie.h"
#include "personnage.h"
#include "joueurList.h"
#include "joueur.h"
#include "affichageConsole2.h"


int mainPartieConsole(){
    //initialisation
    Case * caseSel = NULL;
    Personnage * persSel = NULL;
    Partie * partieEnCours=initPartie();
    //Partie
    while(!victoire(partieEnCours)){
        switch(choixPrincipal(partieEnCours)){
            case 1:{
            caseSel = entrerCoordonnees(partieEnCours);
                if(caseSel!=NULL){
                    persSel = coordonneesValidesPersonnage(partieEnCours,caseSel);
                    if(persSel!=NULL){
                        personnageSelectionne(partieEnCours,persSel);
                        if((isTurn(partieEnCours, appartientJoueur(persSel, partieEnCours)))){
                            switch (choixActionPersonnage(partieEnCours)){
                                case 1:{
                                    //Attaque
                                }
                                case 2:{
                                    //Deplacement
                                }
                                case 3:{
                                    //retour au choix principal.
                                }
                                case 4:{
                                    finTour(partieEnCours);
                                    afficheFinTour(getNomJoueur(getCurrentJoueur(getListJoueur(partieEnCours))));
                                }
                                default:{
                                    afficherChoixImpossible();
                                }
                            }
                        }
                    }
                    else{
                        afficherChoixImpossible();
                    }
                }
                else{
                    afficherChoixImpossible();
                }
            }
            case 2:{
                finTour(partieEnCours);
                afficheFinTour(getNomJoueur(getCurrentJoueur(getListJoueur(partieEnCours))));
            }
            default:{
                afficherChoixImpossible();
            }
        }
    }
}
