/*!
* \file AffichageConsole.h
* \brief Fichier contenant les signatures des fonctions liees a la structure terrain.
*/

#ifndef CLASSE_H_INCLUDED
#define CLASSE_H_INCLUDED

#include "structures.h"
#include "personnage.h"
#include "deplacements.h"
#include "roxml.h"
#include "TerrainsXML.h"

Terrain* Librairie_Terrains(char *filename);

Terrain* Remplir_Terrains_log(char *filename);


boolean terrain_franchissable(Terrain *t);

Terrain * init_terrain(Terrain * t, char * n, boolean f, unsigned short int PD);




#endif // CLASSE_H_INCLUDED
